/**
*Docker App
* Implementing Docker App
*/
var DockerApp = DockerApp || {};  //Define Docker App namespace.
/**
*Constructor UNAS App
*/
DockerApp.App = function () {
    this.id = 'Docker';
    this.name = 'Docker';
    this.version = '6.0.36';
    this.active = false;
    this.menuIcon = '/apps/docker/images/logo.png?v=6.0.36&';
    this.shortcutIcon = '/apps/docker/images/logo.png?v=6.0.36&';
    //this.entryUrl = '/apps/transmission/transmission_check.html?v=6.0.36&';
    //this.entryHelpUrl = '/apps/transmission/transmission_help.html?v=6.0.36&';
    var self = this;
    this.DockerAppWindow = function () {
    	if(UNAS.CheckAppState('Docker')){
    		return false;
    	}
    	self.window=new MUI.Window({
            id: 'DockerAppWindow',
            title: UNAS._('Docker'),
            icon: '/apps/docker/images/logo_small.png?v=6.0.36&',
            loadMethod: 'xhr',
            width: 750,
            height: 480,
            maximizable: false,
            resizable: true,
            scrollbars: false,
            resizeLimit: { 'x': [650, 1200], 'y': [450, 900] },
            contentURL: '/apps/docker/docker.html?v=6.0.36&',
            // require: {  css: ['/apps/docker/css/docker.css'] },
            onBeforeBuild: function(){UNAS.SetAppOpenedWindow("Docker",'DockerAppWindow')}
     	});
    };
    this.DockerUninstall = function (){
    	UNAS.RemoveDesktopShortcut('Docker');
    	UNAS.RemoveMenu('Docker');
    	//UNAS.RemoveAppFromGroups('Docker', 'Help');
    	UNAS.RemoveAppFromGroups('Docker', 'ControlPanel');
    	UNAS.RemoveAppFromApps('Docker');
    };
    new UNAS.Menu('UNAS_App_Internet_Menu', this.name, this.menuIcon, 'Docker', '', this.DockerAppWindow);
    new UNAS.DesktopShortcut(this.name, this.shortcutIcon, 'Docker', this.DockerAppWindow);
    //new UNAS.RegisterToAppGroup(this.name, 'ControlPanel', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryUrl},{});
    //new UNAS.RegisterToAppGroup(this.name, 'Help', {'Type' : 'Internet', 'Laction' : 3, "Icon": this.shortcutIcon, "Url": this.entryHelpUrl},{});
    var OnChangeLanguage = function (e) {
    	UNAS.SetMenuTitle('Docker', UNAS._('Docker')); //translate menu
        UNAS.SetShortcutTitle('Docker', UNAS._('Docker'));
        if (typeof self.window !== 'undefined') {
        	UNAS.SetWindowTitle('DockerAppWindow', UNAS._('Docker'));
        }
    };
    UNAS.LoadTranslation('/apps/docker/languages/Translation?v=' + this.version, OnChangeLanguage);
    UNAS.Event.addEvent('ChangeLanguage', OnChangeLanguage);
    UNAS.CreateApp(this.name, this.shortcutIcon, this.DockerAppWindow, this.DockerUninstall);
};

new DockerApp.App();
